Bug 401359 - [Feature request] Allow visualizing per-lesson progress on the home screen
Summary: [Feature request] Allow visualizing per-lesson progress on the home screen
Status: RESOLVED FIXED
Alias: None
Product: ktouch
Classification: Unclassified
Component: general (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sebastian Gottfried
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-11-24 07:49 UTC by Simone Gaiarin
Modified: 2019-07-04 21:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: 19.08.0


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Simone Gaiarin 2018-11-24 07:49:58 UTC
SUMMARY
At the end of each lesson it is possible to look at the progress for the current lesson only. It would be good if this could be done also on the home screen, possibly also allowing zooming-in the progress chart on the home screen.

This would allow checking one's progress on the specific lessons and decide which lesson to take to improve on the weakest ones.

SOFTWARE/OS VERSIONS
Operating System: Manjaro Linux 
KDE Plasma Version: 5.14.3
Qt Version: 5.11.2
KDE Frameworks Version: 5.52.0
Kernel Version: 4.19.2-1-MANJARO
OS Type: 64-bit
Comment 1 Sebastian Gottfried 2019-07-04 21:06:18 UTC
Git commit 106d3bbe772568f82d758da7c74d5089fdb55120 by Sebastian Gottfried.
Committed on 04/07/2019 at 21:02.
Pushed by gottfried into branch 'master'.

Merge Branch 'homescreen-ng'

This replaces the home screen to solve KTouch's most egrigous problem:
content discovery. Previously, KTouch displayed only the courses for the
the currently active keyboard layout. If KTouch has no course for this
layout, the windows was basically empty showing only the option to
create a new custom lesson. Being forced to set up first the correct
keyboad layout for your computer has proven to be unintuitive. The
new home screen shows all available training content at a glance.

Improvements in more detail:

 * There is a new sidebar allowing the user to select from all available
   keyboard layouts with their associated courses. Users still have to
   set up the correct layout matching the selected course, though, and
   they are told how to do so with an passive notification. (BUG 395264,
   BUG 385425, BUG 331368, BUG 398773, BUG 391968, BUG 364011)

 * Training statistics are now available from the home screen for each
   lesson. Previously they have been only shown on the score screen
   after completing a lesson. (BUG 401359, BUG 317174)

 * The lesson selector has been redesign to show previews of each lesson
   as selectable items in a grid view.

  * Tab focus works now as expected and allows training without using the
    mouse at all. (BUG 316058)

  * Support for HiDPI rendering has been added.

  * KTouch now uses Qt Quick Controls 2 instead of version 1.
Related: bug 385425, bug 331368, bug 398773, bug 391968, bug 364011, bug 316058, bug 395264, bug 317174
FIXED-IN: 19.08.0
Differential Revision: https://phabricator.kde.org/D20953

M  +3    -4    CMakeLists.txt
M  +7    -2    src/CMakeLists.txt
M  +2    -2    src/declarativeitems/lessonpainter.h
M  +13   -12   src/qml/homescreen/ProfileDetailsItem.qml
M  +4    -4    src/qml/keyboard/KeyItem.qml
M  +1    -1    src/qml/keyboard/Keyboard.qml
M  +2    -2    src/qml/keyboard/KeyboardLayoutEditor.qml
M  +94   -208  src/qml/scorescreen/ScoreScreen.qml
M  +3    -3    src/qml/trainingscreen/TrainingWidget.qml

https://commits.kde.org/ktouch/106d3bbe772568f82d758da7c74d5089fdb55120